# Uses of Class
org.apache.lucene.benchmark.byTask.PerfRunData

Packages that use PerfRunData
Package
Description
org.apache.lucene.benchmark.byTask
Benchmarking Lucene By Tasks
org.apache.lucene.benchmark.byTask.tasks
Extendable benchmark tasks.
org.apache.lucene.benchmark.byTask.utils
Utilities used for the benchmark, and for the reports.

- ## Uses of PerfRunData in org.apache.lucene.benchmark.byTask

  Methods in org.apache.lucene.benchmark.byTask that return PerfRunData
  Modifier and Type
  Method
  Description
  `PerfRunData`
  Benchmark.`getRunData()`

- ## Uses of PerfRunData in org.apache.lucene.benchmark.byTask.tasks

  Methods in org.apache.lucene.benchmark.byTask.tasks that return PerfRunData
  Modifier and Type
  Method
  Description
  `PerfRunData`
  PerfTask.`getRunData()`
  Methods in org.apache.lucene.benchmark.byTask.tasks with parameters of type PerfRunData
  Modifier and Type
  Method
  Description
  `static IndexWriter`
  CreateIndexTask.`configureWriter(Config config, PerfRunData runData, IndexWriterConfig.OpenMode mode, IndexCommit commit)`
  `static IndexWriterConfig`
  CreateIndexTask.`createWriterConfig(Config config, PerfRunData runData, IndexWriterConfig.OpenMode mode, IndexCommit commit)`
  Constructors in org.apache.lucene.benchmark.byTask.tasks with parameters of type PerfRunData
  Modifier
  Constructor
  Description
  ``
  `AddDocTask(PerfRunData runData)`
  ``
  `AddFacetedDocTask(PerfRunData runData)`
  ``
  `AddIndexesTask(PerfRunData runData)`
  ``
  `AnalyzerFactoryTask(PerfRunData runData)`
  ``
  `ClearStatsTask(PerfRunData runData)`
  ``
  `CloseIndexTask(PerfRunData runData)`
  ``
  `CloseReaderTask(PerfRunData runData)`
  ``
  `CloseTaxonomyIndexTask(PerfRunData runData)`
  ``
  `CloseTaxonomyReaderTask(PerfRunData runData)`
  ``
  `CommitIndexTask(PerfRunData runData)`
  ``
  `CommitTaxonomyIndexTask(PerfRunData runData)`
  ``
  `ConsumeContentSourceTask(PerfRunData runData)`
  ``
  `CreateIndexTask(PerfRunData runData)`
  ``
  `CreateTaxonomyIndexTask(PerfRunData runData)`
  ``
  `FlushIndexTask(PerfRunData runData)`
  ``
  `ForceMergeTask(PerfRunData runData)`
  ``
  `NearRealtimeReaderTask(PerfRunData runData)`
  ``
  `NewAnalyzerTask(PerfRunData runData)`
  ``
  `NewCollationAnalyzerTask(PerfRunData runData)`
  ``
  `NewLocaleTask(PerfRunData runData)`
  Create a new `Locale` and set it in the getRunData() for use by all future tasks.
  ``
  `NewRoundTask(PerfRunData runData)`
  ``
  `OpenIndexTask(PerfRunData runData)`
  ``
  `OpenReaderTask(PerfRunData runData)`
  ``
  `OpenTaxonomyIndexTask(PerfRunData runData)`
  ``
  `OpenTaxonomyReaderTask(PerfRunData runData)`
  ``
  `PerfTask(PerfRunData runData)`
  ``
  `PrintReaderTask(PerfRunData runData)`
  ``
  `ReadTask(PerfRunData runData)`
  ``
  `ReadTokensTask(PerfRunData runData)`
  ``
  `ReopenReaderTask(PerfRunData runData)`
  ``
  `RepAllTask(PerfRunData runData)`
  ``
  `ReportTask(PerfRunData runData)`
  ``
  `RepSelectByPrefTask(PerfRunData runData)`
  ``
  `RepSumByNameRoundTask(PerfRunData runData)`
  ``
  `RepSumByNameTask(PerfRunData runData)`
  ``
  `RepSumByPrefRoundTask(PerfRunData runData)`
  ``
  `RepSumByPrefTask(PerfRunData runData)`
  ``
  `ResetInputsTask(PerfRunData runData)`
  ``
  `ResetSystemEraseTask(PerfRunData runData)`
  ``
  `ResetSystemSoftTask(PerfRunData runData)`
  ``
  `RollbackIndexTask(PerfRunData runData)`
  ``
  `SearchTask(PerfRunData runData)`
  ``
  `SearchTravRetHighlightTask(PerfRunData runData)`
  ``
  `SearchTravRetLoadFieldSelectorTask(PerfRunData runData)`
  ``
  `SearchTravRetTask(PerfRunData runData)`
  ``
  `SearchTravTask(PerfRunData runData)`
  ``
  `SearchWithCollectorTask(PerfRunData runData)`
  ``
  `SearchWithSortTask(PerfRunData runData)`
  ``
  `SetPropTask(PerfRunData runData)`
  ``
  `TaskSequence(PerfRunData runData, String name, TaskSequence parent, boolean parallel)`
  ``
  `UpdateDocTask(PerfRunData runData)`
  ``
  `WaitTask(PerfRunData runData)`
  ``
  `WarmTask(PerfRunData runData)`
  ``
  `WriteEnwikiLineDocTask(PerfRunData runData)`
  ``
  `WriteLineDocTask(PerfRunData runData)`

- ## Uses of PerfRunData in org.apache.lucene.benchmark.byTask.utils

  Constructors in org.apache.lucene.benchmark.byTask.utils with parameters of type PerfRunData
  Modifier
  Constructor
  Description
  ``
  `Algorithm(PerfRunData runData)`
  Read algorithm from file Property examined: alt.tasks.packages == comma separated list of alternate package names where tasks would be searched for, when not found in the default package (that of `PerfTask` `Object.getClass()`).